Subject: Re: bug#68724: eshell/make doesn't properly handle color term characters

From: Patrick Poitras <[email-masked]>
Date: Thu, 25 Jan 2024 17:31:07 -0800

This is what happens when I file bug reports while sick. Forgot a bunch of
details. My apologies.

Yeah, bug reported from emacs 30.0.50 @ 4e260bfc47e on master. Can confirm
that it's now fix on latest master.

Thanks!

On Thu, Jan 25, 2024 at 5:18 PM Jim Porter <[email-masked]> wrote:

> On 1/25/2024 4:54 PM, Patrick Poitras wrote:
> > In eshell, if I am in a directory and call `make`, the call that is
> > executed is (eshell/make) from em-unix.el.
> >
> > The *compilation* window then pops up, which reads: ...
>
> Thanks for the bug report. I'm guessing you're using Emacs 30.0.50. This
> is a bug, in that eshell/make should print its output to the Eshell
> buffer by default (not a new compilation buffer). That's now fixed in
> 4834be0949e on master, so closing this issue.
>
> However, for fixing the colors in the compilation buffer, you can also
> add 'ansi-color-compilation-filter' to 'compilation-filter-hook'.
>